INTERFACE
SUBROUTINE GPCTYAD(KPROMA,KSTART,KPROF,KFLEV,PVDELB,PVBH,&
 & PU,PV,PD,&
 & PDELP,PRDELP,PLNPR,PALPH,PRTGR,PSPL,PSPM,&
 & PEVEL,PVVEL,PSDIV,PDIVDP,PRPREF,&
 & PU5,PV5,PD5,&
 & PDELP5,PRDELP5,PLNPR5,PALPH5,PRTGR5,PSPL5,PSPM5,&
 & PSDIV5,PRPREF5) 
USE PARKIND1 ,ONLY : JPIM ,JPRB
INTEGER(KIND=JPIM),INTENT(IN) :: KPROMA
INTEGER(KIND=JPIM),INTENT(IN) :: KFLEV
INTEGER(KIND=JPIM),INTENT(IN) :: KSTART
INTEGER(KIND=JPIM),INTENT(IN) :: KPROF
REAL(KIND=JPRB) ,INTENT(IN) :: PVDELB(KFLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PVBH(0:KFLEV)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PU(KPROMA,KFLEV)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PV(KPROMA,KFLEV)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PD(KPROMA,KFLEV)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PDELP(KPROMA,KFLEV)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PRDELP(KPROMA,KFLEV)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PLNPR(KPROMA,KFLEV)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PALPH(KPROMA,KFLEV)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PRTGR(KPROMA,KFLEV)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PSPL(KPROMA)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PSPM(KPROMA)
REAL(KIND=JPRB) ,INTENT(OUT) :: PEVEL(KPROMA,0:KFLEV)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PVVEL(KPROMA,KFLEV)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PSDIV(KPROMA,0:KFLEV)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PDIVDP(KPROMA,KFLEV)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PRPREF(KPROMA,KFLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PU5(KPROMA,KFLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PV5(KPROMA,KFLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PD5(KPROMA,KFLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PDELP5(KPROMA,KFLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PRDELP5(KPROMA,KFLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PLNPR5(KPROMA,KFLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PALPH5(KPROMA,KFLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PRTGR5(KPROMA,KFLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PSPL5(KPROMA)
REAL(KIND=JPRB) ,INTENT(IN) :: PSPM5(KPROMA)
REAL(KIND=JPRB) ,INTENT(IN) :: PSDIV5(KPROMA,0:KFLEV)
REAL(KIND=JPRB) ,INTENT(IN) :: PRPREF5(KPROMA,KFLEV)
END SUBROUTINE GPCTYAD
END INTERFACE
